## opm-material 2021.10

=== CMakeLists.txt ===
# -*- mode: cmake; tab-width: 2; indent-tabs-mode: nil; truncate-lines: t; compile-command: "cmake -Wdev" -*-
# vim: set filetype=cmake autoindent tabstop=2 shiftwidth=2 noexpandtab softtabstop=2 nowrap:

###########################################################################
#                                                                         #
# Note: The bulk of the build system is located in the cmake/ directory.  #
#       This file only contains the specializations for this particular   #
#       project. Most likely you are interested in editing one of these   #
#       files instead:                                                    #
#                                                                         #
#       dune.module                              Name and version number  #
#       CMakeLists_files.cmake                   Path of source files     #
#       cmake/Modules/${project}-prereqs.cmake   Dependencies             #
#                                                                         #
###########################################################################

# Mandatory call to project
project(opm-material C CXX)

cmake_minimum_required (VERSION 3.10)

option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
option(ENABLE_3DPROPS_TESTING "Enable the testing of 3D properties" OFF)
if (ENABLE_3DPROPS_TESTING)
  add_definitions(-DENABLE_3DPROPS_TESTING)
endif()

if(SIBLING_SEARCH AND NOT opm-common_DIR)
  # guess the sibling dir
  get_filename_component(_leaf_dir_name ${PROJECT_BINARY_DIR} NAME)
  get_filename_component(_parent_full_dir ${PROJECT_BINARY_DIR} DIRECTORY)
  get_filename_component(_parent_dir_name ${_parent_full_dir} NAME)
  #Try if <module-name>/<build-dir> is used
  get_filename_component(_modules_dir ${_parent_full_dir} DIRECTORY)
  if(IS_DIRECTORY ${_modules_dir}/opm-common/${_leaf_dir_name})
    set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
  else()
    string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
    if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
        AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
      # We are using build directories named <prefix><module-name><postfix>
      set(opm-common_DIR ${_parent_full_dir}/${_opm_common_leaf})
    elseif(IS_DIRECTORY ${_parent_full_dir}/opm-common)
      # All modules are in a common build dir
      set(opm-common_DIR "${_parent_full_dir}/opm-common")
    endif()
  endif()
endif()
if(opm-common_DIR AND NOT IS_DIRECTORY ${opm-common_DIR})
  message(WARNING "Value ${opm-common_DIR} passed to variable"
    " opm-common_DIR is not a directory")
endif()

find_package(opm-common REQUIRED)

include(OpmInit)
OpmSetPolicies()

# not the same location as most of the other projects; this hook overrides
macro (dir_hook)
endmacro (dir_hook)

# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.
include (OpmInit)

# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include (${project}-prereqs)

# read the list of components from this file (in the project directory);
# it should set various lists with the names of the files to include
include (CMakeLists_files.cmake)

macro (config_hook)
opm_need_version_of ("dune-common")
endmacro (config_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
endmacro (sources_hook)

macro (fortran_hook)
endmacro (fortran_hook)

macro (files_hook)
endmacro (files_hook)

macro (tests_hook)
endmacro (tests_hook)

# all setup common to the OPM library modules is done here
include (OpmLibMain)

add_custom_target(opm-material_prepare)

opm_add_test(test_blackoilfluidstate)
opm_add_test(test_ConditionalStorage)
opm_add_test(test_eclblackoilfluidsystem CONDITION HAVE_ECL_INPUT)
opm_add_test(test_eclblackoilpvt CONDITION HAVE_ECL_INPUT)
opm_add_test(test_eclmateriallawmanager CONDITION HAVE_ECL_INPUT)
opm_add_test(test_co2brinepvt CONDITION HAVE_ECL_INPUT)
opm_add_test(test_fluidmatrixinteractions)
opm_add_test(test_pengrobinson)
opm_add_test(test_densead)
opm_add_test(test_ncpflash)
opm_add_test(test_spline)
opm_add_test(test_tabulation)
opm_add_test(test_2dtables)
opm_add_test(test_components)
opm_add_test(test_fluidsystems)
opm_add_test(test_immiscibleflash)

=== debian/changelog ===
opm-material (2021.10-2) unstable; urgency=medium

  * d/control: Stripped unnecessary Build-Depends on g++ gfortran
  * d/control: Bumped to Standards version 4.6.0

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 26 Jan 2022 12:45:03 +0100

opm-material (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:18:36 +0100

=== debian/control ===
Source: opm-material
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13),
               pkg-config, libopm-common-dev (>=2021.10), quilt,  libboost-test-dev,
               libdune-common-dev (>= 2.6), cmake (>=3.10), bc,
               git, zlib1g-dev, libtool, doxygen,  graphviz,
               texlive-latex-extra, texlive-latex-recommended, ghostscript,
               mpi-default-dev, mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-material
Vcs-Git: https://salsa.debian.org/science-team/opm-material.git
Rules-Requires-Root: no

Package: libopm-material-dev
Section: libdevel
Architecture: amd64 arm64 ia64 mips64el ppc64el
Multi-Arch: same
Depends: ${misc:Depends}, libopm-common-dev (>=2021.10), libdune-istl-dev (>= 2.6), libdune-common-dev (>= 2.6)
Replaces: libopm-material1-dev
Suggests: libopm-material-doc
Description: Material properties framework for porous media -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This header-only library contains the generic code for calculating material
 properties used when simulating porous media flow. It includes utilities
 for calculating relative-permeability/capillary pressure laws,
 thermodynamic relations, flash solvers, empirical heat conduction laws,
 et cetera.It uses automatic differentiation for calculating the
 properties.
 .
 This package contains the development files (headers) needed.

Package: libopm-material-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-material1-doc
Depends: ${misc:Depends}
Description: Material properties framework for porous media -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This header-only library contains the generic code for calculating material
 properties used when simulating porous media flow. It includes utilities
 for calculating relative-permeability/capillary pressure laws,
 thermodynamic relations, flash solvers, empirical heat conduction laws,
 et cetera. It uses automatic differentiation for calculating the
 properties.
 .
 This package contains the documentation of the source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

include /usr/share/opm/opm-debian.mk

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-material-$1.tar.gz%" \
   https://github.com/OPM/opm-material/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-material.git \
#   refs/tags/v([\d\.]+) debian uupdate

## opm-material 2022.04%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,10 +20,6 @@
 cmake_minimum_required (VERSION 3.10)
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
-option(ENABLE_3DPROPS_TESTING "Enable the testing of 3D properties" OFF)
-if (ENABLE_3DPROPS_TESTING)
-  add_definitions(-DENABLE_3DPROPS_TESTING)
-endif()
 
 if(SIBLING_SEARCH AND NOT opm-common_DIR)
   # guess the sibling dir
@@ -114,3 +110,6 @@
 opm_add_test(test_components)
 opm_add_test(test_fluidsystems)
 opm_add_test(test_immiscibleflash)
+
+install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
+  FILES_MATCHING PATTERN "*.1")

## opm-material 2022.04+ds

=== debian/changelog ===
opm-material (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:28:02 +0200

opm-material (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * debian/watch: Advertise repackaged tarball

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:27:16 +0200

opm-material (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:02:05 +0200

opm-material (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * d/control: Use debhelper-compat (= 12) for older Ubuntu support
  * Dropped patches incorporated in upstream
  * d/control: Depend on OPM 2022.04
  * Make new co2brinepvt and it's man page part of libopm-material-dev
  * Fix installation of man page.
  * Fixes spelling (amount -> amount)
  * d/tests: Removed dependency on libpython3.9-dev

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 09:45:14 +0200

opm-material (2021.10-6) unstable; urgency=medium

  * d/tests: Added dependency on libpython3.9-dev to allow migration

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 22 Apr 2022 13:31:20 +0200

opm-material (2021.10-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Markus Blatt ]
  * d/rules: Facilitate building with pbuilder without local libopm-common-dev
  * d/control: Added libatlas-base-dev to Build-Depends

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 13:00:43 +0200

opm-material (2021.10-4) unstable; urgency=medium

  * d/control: Skip unnecessary dependency on libdune-istl-dev

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 12 Mar 2022 21:16:32 +0100

opm-material (2021.10-3) unstable; urgency=medium

  * d/control: Try building on all architectures
  * d/tests: Added basic autpkgtest
  * d/tests: Added basic autpkgtest
  * d/copyright: Added more (former) members to OPM development team.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Mar 2022 15:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13),
-               pkg-config, libopm-common-dev (>=2021.10), quilt,  libboost-test-dev,
-               libdune-common-dev (>= 2.6), cmake (>=3.10), bc,
+Build-Depends: debhelper-compat (= 12),
+               pkg-config, libopm-common-dev (>= 2022.04), quilt,  libboost-test-dev,
+               libdune-common-dev, cmake, bc,
                git, zlib1g-dev, libtool, doxygen,  graphviz,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               mpi-default-dev, mpi-default-bin
+               mpi-default-dev, mpi-default-bin, libatlas-base-dev
 Standards-Version: 4.6.0
 Section: libs
 Homepage: http://opm-project.org
@@ -17,9 +17,9 @@
 
 Package: libopm-material-dev
 Section: libdevel
-Architecture: amd64 arm64 ia64 mips64el ppc64el
+Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libopm-common-dev (>=2021.10), libdune-istl-dev (>= 2.6), libdune-common-dev (>= 2.6)
+Depends: ${misc:Depends}, libopm-common-dev (>= 2022.04), libdune-common-dev
 Replaces: libopm-material1-dev
 Suggests: libopm-material-doc
 Description: Material properties framework for porous media -- development files

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-material-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable

## opm-material 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -110,6 +110,8 @@
 opm_add_test(test_components)
 opm_add_test(test_fluidsystems)
 opm_add_test(test_immiscibleflash)
+opm_add_test(test_threecomponents_ptflash)
+opm_add_test(test_co2brine_ptflash)
 
 install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
   FILES_MATCHING PATTERN "*.1")

=== debian/changelog ===
opm-material (2022.10+ds-4) unstable; urgency=medium

  * d/(tests/)control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Mar 2023 09:33:42 +0100

opm-material (2022.10+ds-3) unstable; urgency=medium

  * d/control: Removed unneeded git from Build-Depends.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:37:43 +0100

opm-material (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bump standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 11:35:45 +0100

opm-material (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version of OPM dependency to current one.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:18:32 +0100

opm-material (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:31:49 +0100

opm-material (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * d/control: Depend on OPM 2022.10.
  * d: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 09:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
 Build-Depends: debhelper-compat (= 12),
-               pkg-config, libopm-common-dev (>= 2022.04), quilt,  libboost-test-dev,
+               pkg-config, libopm-common-dev (>= 2022.10), quilt,  libboost-test-dev,
                libdune-common-dev, cmake, bc,
-               git, zlib1g-dev, libtool, doxygen,  graphviz,
+               zlib1g-dev, libtool, doxygen,  graphviz,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
                mpi-default-dev, mpi-default-bin, libatlas-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-material
@@ -17,9 +17,9 @@
 
 Package: libopm-material-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${misc:Depends}, libopm-common-dev (>= 2022.04), libdune-common-dev
+Depends: ${misc:Depends}, libopm-common-dev (>= 2022.10), libdune-common-dev
 Replaces: libopm-material1-dev
 Suggests: libopm-material-doc
 Description: Material properties framework for porous media -- development files

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-material-dev (>= 2022.10),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64

=== debian/watch ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #opts="pgpsigurlmangle=s%$%.sig%"
 
 # GitHub hosted projects
-opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-material-$1.tar.gz%" \
+opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-material-$1.tar.gz%,oversionmangle=s/(.*)/$1+ds/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
    https://github.com/OPM/opm-material/tags \
    (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate
